UniqueEntityLoader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.entity
Interface UniqueEntityLoader

All Known Implementing Classes:
  AbstractEntityLoader, BatchingEntityLoader, CascadeEntityLoader, EntityLoader, NamedQueryLoader

    public interface UniqueEntityLoader

Loads entities for a `EntityPersister`

Method Summary
`Object` | `load(Serializable id, Object optionalObject, SessionImplementor session)` Deprecated. use `load(java.io.Serializable, Object, SessionImplementor, LockOptions)` instead.
`Object` | `load(Serializable id, Object optionalObject, SessionImplementor session, LockOptions lockOptions)` Load an entity instance by id.

Method Detail

### load

    Object load(Serializable id,
                Object optionalObject,
                SessionImplementor session)
                throws HibernateException

  Deprecated. use `load(java.io.Serializable, Object, SessionImplementor, LockOptions)` instead.

  Load an entity instance. If `optionalObject` is supplied, load the entity state into the given (uninitialized) object.

  Throws:
    `HibernateException`

### load

    Object load(Serializable id,
                Object optionalObject,
                SessionImplementor session,
                LockOptions lockOptions)

  Load an entity instance by id. If `optionalObject` is supplied (non-`null`, the entity state is loaded into that object instance instead of instantiating a new one.

  Parameters:
    `id` - The id to be loaded
    `optionalObject` - The (optional) entity instance in to which to load the state
    `session` - The session from which the request originated
    `lockOptions` - The lock options.
  Returns:
    The loaded entity
  Throws:
    `HibernateException` - indicates problem performing the load.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.